> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# View notes



## OpenAPI

````yaml post /admin/notes
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/notes:
    post:
      tags:
        - Notes
      summary: View notes
      operationId: ff24bcd074856385f2bc57274ead7b80
      requestBody:
        required: true
        content:
          application/json:
            schema:
              required:
                - id
                - type
                - program_id
              properties:
                cat:
                  type: string
                  example: ''
                id:
                  description: Donor ID
                  type: string
                  example: '1'
                program_id:
                  type: string
                  example: donor
                type:
                  type: string
                  example: donor
                client_id:
                  type: string
                  example: '1'
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  id:
                    type: integer
                  name:
                    type: string
                  categories:
                    type: array
                    items:
                      type: object
                  notes:
                    type: array
                    items:
                      type: object
                  cat:
                    type: string
                  program:
                    type: object
                  hysform:
                    type: object
                  program_id:
                    type: integer
                  type:
                    type: string
                  submit:
                    type: array
                    items:
                      type: object
                  donor:
                    type: object
                  profileThumb:
                    type: string
                  entity:
                    type: object
                  emailsets:
                    type: object
                  years:
                    type: array
                    items:
                      type: object
                  template_errors:
                    type: array
                    items:
                      type: object
                type: object
        '404':
          description: Entity or Donor not found
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````